Bug 239753 - Fails backing up to CIFS/SMB share
Fails backing up to CIFS/SMB share
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rdiff-backup (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gavin Henry
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-10 20:18 EDT by morgan read
Modified: 2008-05-06 15:35 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 15:35:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description morgan read 2007-05-10 20:18:44 EDT
Description of problem:
Fails backing up to CIFS/SMB share

Version-Release number of selected component (if applicable):
rdiff-backup.i386 1.0.5-1.fc5

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
  
Actual results:
[root@morgansmachine ~]# rdiff-backup / /mnt/cifs/rdiff-backup Warning: hard
linking not supported by filesystem at /mnt/cifs/rdiff-backup/rdiff-backup-data
Traceback (most recent call last):
File "/usr/bin/rdiff-backup", line 23, in ?
rdiff_backup.Main.Main(sys.argv[1:])
File "/usr/lib/python2.4/site-packages/rdiff_backup/Main.py", line 285, in Main
take_action(rps)
File "/usr/lib/python2.4/site-packages/rdiff_backup/Main.py", line 255, in
take_action
elif action == "backup": Backup(rps[0], rps[1])
File "/usr/lib/python2.4/site-packages/rdiff_backup/Main.py", line 296, in Backup
backup_set_fs_globals(rpin, rpout)
File "/usr/lib/python2.4/site-packages/rdiff_backup/Main.py", line 418, in
backup_set_fs_globals
dest_fsa = rpout.conn.fs_abilities.get_fsabilities_readwrite(
File "/usr/lib/python2.4/site-packages/rdiff_backup/fs_abilities.py", line 415,
in get_fsabilities_readwrite
return FSAbilities(desc_string).init_readwrite(
File "/usr/lib/python2.4/site-packages/rdiff_backup/fs_abilities.py", line 162,
in init_readwrite
if override_chars_to_quote is None: self.set_chars_to_quote(subdir)
File "/usr/lib/python2.4/site-packages/rdiff_backup/fs_abilities.py", line 274,
in set_chars_to_quote
if is_case_sensitive():
File "/usr/lib/python2.4/site-packages/rdiff_backup/fs_abilities.py", line 245,
in is_case_sensitive
assert not upper_a.lstat()
AssertionError
[root@morgansmachine ~]#

Expected results:
Successful backup, something like this:
root@morgansmachine ~]# rdiff-backup --include-globbing-filelist
include-list-test / /home/tmp/testbackup
[root@morgansmachine ~]#

Additional info:
See also: http://savannah.nongnu.org/bugs/?19802
Comment 1 Kevin Fenzi 2007-05-11 14:46:13 EDT
Does this seem like what you are seeing: 
http://www.mail-archive.com/rdiff-backup-users@nongnu.org/msg00526.html

If so, it sounds like a CIFS bug where it's only sometimes case sensitive. ;( 

The thread ends with: 

"There's a good chance your backup will work if you simply comment out
that assert line that was giving you an exception, but unless I'm
missing something the fault is with a huge bug in CIFS (or at least
the implementation of it on your system)."

Can you try commenting? Also, can you run rdiff-backup with -v9 and attach the
output? That might assist in tracking it down. 

Thanks for the bug report!
Comment 2 morgan read 2007-05-12 02:46:56 EDT
Thanks for the follow up Kevin - it's sooo nice to be able to file a bug in
fedora/redhat bugzilla!

(Following is with rdiff-backup 1.1.9.)

Yes, the discussion at the link above certainly looks similar.  In particular:
...
Traceback (most recent call last):
  File "/usr/bin/rdiff-backup", line 23, in ?
    rdiff_backup.Main.error_check_Main(sys.argv[1:])
  File "/usr/lib/python2.4/site-packages/rdiff_backup/Main.py", line ...

Re commenting, excuse me if I didn't follow your instruction correctly but in
file "/usr/bin/rdiff-backup" I commented out (#) line 23 which provided the
output at bottom (with the -v9 switch).  There were 26 lines in the file with
the lines following line 23 being blank - I deleted the blanks (so, 24 lines
total) and got similar but for 26 read 24.

[root@morgansmachine ~]# rdiff-backup -v9 --include-globbing-filelist
include-list / /mnt/cifs/rdiff-backup
Sat May 12 18:11:47 2007  Unable to import module xattr.
Extended attributes not supported on filesystem at /
Sat May 12 18:11:47 2007  Unable to import module posix1e from pylibacl
package.ACLs not supported on filesystem at /
Sat May 12 18:11:47 2007  escape_dos_devices not required by filesystem at /
Sat May 12 18:11:47 2007 
-----------------------------------------------------------------
Detected abilities for source (read only) file system:
  Access control lists                         Off
  Extended attributes                          Off
  Case sensitivity                             On
  Escape DOS devices                           Off
  Mac OS X style resource forks                Off
  Mac OS X Finder information                  Off
-----------------------------------------------------------------
Sat May 12 18:11:47 2007  Making directory
/mnt/cifs/rdiff-backup/rdiff-backup-data/rdiff-backup.tmp.1
Sat May 12 18:11:47 2007  Touching
/mnt/cifs/rdiff-backup/rdiff-backup-data/rdiff-backup.tmp.1/5-_ a.snapshot.gz
Sat May 12 18:11:47 2007  Deleting
/mnt/cifs/rdiff-backup/rdiff-backup-data/rdiff-backup.tmp.1/5-_ a.snapshot.gz
Sat May 12 18:11:47 2007  Touching
/mnt/cifs/rdiff-backup/rdiff-backup-data/rdiff-backup.tmp.1/A
Sat May 12 18:11:47 2007  Deleting
/mnt/cifs/rdiff-backup/rdiff-backup-data/rdiff-backup.tmp.1/a
Sat May 12 18:11:48 2007  Exception '' raised of class 'exceptions.AssertionError':
  File "/usr/lib/python2.4/site-packages/rdiff_backup/Main.py", line 298, in
error_check_Main
    try: Main(arglist)
  File "/usr/lib/python2.4/site-packages/rdiff_backup/Main.py", line 318, in Main
    take_action(rps)
  File "/usr/lib/python2.4/site-packages/rdiff_backup/Main.py", line 274, in
take_action
    elif action == "backup": Backup(rps[0], rps[1])
  File "/usr/lib/python2.4/site-packages/rdiff_backup/Main.py", line 328, in Backup
    rpout.conn.fs_abilities.backup_set_globals(rpin)
  File "/usr/lib/python2.4/site-packages/rdiff_backup/fs_abilities.py", line
668, in backup_set_globals
    dest_fsa = FSAbilities('destination').init_readwrite(Globals.rbdir)
  File "/usr/lib/python2.4/site-packages/rdiff_backup/fs_abilities.py", line
144, in init_readwrite
    self.set_case_sensitive_readwrite(subdir)
  File "/usr/lib/python2.4/site-packages/rdiff_backup/fs_abilities.py", line
251, in set_case_sensitive_readwrite
    assert not upper_a.lstat()

Traceback (most recent call last):
  File "/usr/bin/rdiff-backup", line 23, in ?
    rdiff_backup.Main.error_check_Main(sys.argv[1:])
  File "/usr/lib/python2.4/site-packages/rdiff_backup/Main.py", line 298, in
error_check_Main
    try: Main(arglist)
  File "/usr/lib/python2.4/site-packages/rdiff_backup/Main.py", line 318, in Main
    take_action(rps)
  File "/usr/lib/python2.4/site-packages/rdiff_backup/Main.py", line 274, in
take_action
    elif action == "backup": Backup(rps[0], rps[1])
  File "/usr/lib/python2.4/site-packages/rdiff_backup/Main.py", line 328, in Backup
    rpout.conn.fs_abilities.backup_set_globals(rpin)
  File "/usr/lib/python2.4/site-packages/rdiff_backup/fs_abilities.py", line
668, in backup_set_globals
    dest_fsa = FSAbilities('destination').init_readwrite(Globals.rbdir)
  File "/usr/lib/python2.4/site-packages/rdiff_backup/fs_abilities.py", line
144, in init_readwrite
    self.set_case_sensitive_readwrite(subdir)
  File "/usr/lib/python2.4/site-packages/rdiff_backup/fs_abilities.py", line
251, in set_case_sensitive_readwrite
    assert not upper_a.lstat()
AssertionError
[root@morgansmachine ~]# rdiff-backup -v9 --include-globbing-filelist
include-list / /mnt/cifs/rdiff-backup
  File "/usr/bin/rdiff-backup", line 26

    ^
IndentationError: expected an indented block
[root@morgansmachine ~]#
Comment 3 Kevin Fenzi 2007-06-19 01:03:55 EDT
Sorry for the delay here... 

Can you try 1.1.11? Looks like they fixed some CIFS issues there... 

Otherwise not sure what else to try. 
Perhaps we can get upstream interested in the problem? 

Gavin: Any other ideas?
Comment 4 Bug Zapper 2008-04-04 03:13:01 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 5 Bug Zapper 2008-05-06 15:35:22 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.